Index: code/branches/core6/src/libraries/core/BaseObject.cc
===================================================================
--- code/branches/core6/src/libraries/core/BaseObject.cc	(revision 9628)
+++ code/branches/core6/src/libraries/core/BaseObject.cc	(revision 9629)
@@ -55,5 +55,5 @@
         @brief Constructor: Registers the object in the BaseObject-list.
     */
-    BaseObject::BaseObject(BaseObject* creator) : bInitialized_(false)
+    BaseObject::BaseObject(Context* context) : bInitialized_(false)
     {
         RegisterRootObject(BaseObject);
@@ -70,4 +70,8 @@
         this->mainStateFunctor_ = 0;
 
+        if (context)
+            this->setContext(context);
+
+        BaseObject* creator = orxonox_cast<BaseObject*>(context);
         this->setCreator(creator);
         if (this->creator_)
@@ -201,5 +205,5 @@
         {
             this->networkTemplateNames_.insert(temp->getLink());
-            
+
             Template* link;
             assert(!(link = Template::getTemplate(temp->getLink())) || !link->isLink());
Index: code/branches/core6/src/libraries/core/BaseObject.h
===================================================================
--- code/branches/core6/src/libraries/core/BaseObject.h	(revision 9628)
+++ code/branches/core6/src/libraries/core/BaseObject.h	(revision 9629)
@@ -65,5 +65,5 @@
 
         public:
-            BaseObject(BaseObject* creator);
+            BaseObject(Context* context);
             virtual ~BaseObject();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
Index: code/branches/core6/src/libraries/core/Loader.cc
===================================================================
--- code/branches/core6/src/libraries/core/Loader.cc	(revision 9628)
+++ code/branches/core6/src/libraries/core/Loader.cc	(revision 9629)
@@ -209,5 +209,5 @@
 
             orxout(verbose, context::loader) << "  creating root-namespace..." << endl;
-            Namespace* rootNamespace = new Namespace(0);
+            Namespace* rootNamespace = new Namespace(Context::getRootContext());
             rootNamespace->setLoaderIndentation("    ");
             rootNamespace->setFile(file);
Index: code/branches/core6/src/libraries/core/Namespace.h
===================================================================
--- code/branches/core6/src/libraries/core/Namespace.h	(revision 9628)
+++ code/branches/core6/src/libraries/core/Namespace.h	(revision 9629)
@@ -40,11 +40,12 @@
 #include <string>
 #include "BaseObject.h"
+#include "object/Context.h"
 
 namespace orxonox
 {
-    class Namespace : public BaseObject
+    class Namespace : public BaseObject, public Context
     {
         public:
-            Namespace(BaseObject* creator);
+            Namespace(Context* context);
             virtual ~Namespace();
 
Index: code/branches/core6/src/libraries/core/Template.cc
===================================================================
--- code/branches/core6/src/libraries/core/Template.cc	(revision 9628)
+++ code/branches/core6/src/libraries/core/Template.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(Template);
 
-    Template::Template(BaseObject* creator) : BaseObject(creator)
+    Template::Template(Context* context) : BaseObject(context)
     {
         this->xmlelement_ = new TiXmlElement("");
Index: code/branches/core6/src/libraries/core/Template.h
===================================================================
--- code/branches/core6/src/libraries/core/Template.h	(revision 9628)
+++ code/branches/core6/src/libraries/core/Template.h	(revision 9629)
@@ -51,5 +51,5 @@
     {
         public:
-            Template(BaseObject* creator);
+            Template(Context* context);
             virtual ~Template();
 
Index: code/branches/core6/src/libraries/core/XMLPort.cc
===================================================================
--- code/branches/core6/src/libraries/core/XMLPort.cc	(revision 9628)
+++ code/branches/core6/src/libraries/core/XMLPort.cc	(revision 9629)
@@ -89,5 +89,5 @@
                         orxout(verbose, context::xml) << object->getLoaderIndentation() << "fabricating " << child->Value() << "..." << endl;
 
-                        BaseObject* newObject = orxonox_cast<BaseObject*>(identifier->fabricate(object));
+                        BaseObject* newObject = orxonox_cast<BaseObject*>(identifier->fabricate(object->getContext()));
                         newObject->setLoaderIndentation(object->getLoaderIndentation() + "  ");
 
Index: code/branches/core6/src/libraries/core/class/Identifier.cc
===================================================================
--- code/branches/core6/src/libraries/core/class/Identifier.cc	(revision 9628)
+++ code/branches/core6/src/libraries/core/class/Identifier.cc	(revision 9629)
@@ -174,9 +174,9 @@
         @return The new object
     */
-    OrxonoxClass* Identifier::fabricate(BaseObject* creator)
+    OrxonoxClass* Identifier::fabricate(Context* context)
     {
         if (this->factory_)
         {
-            return this->factory_->fabricate(creator);
+            return this->factory_->fabricate(context);
         }
         else
Index: code/branches/core6/src/libraries/core/class/Identifier.h
===================================================================
--- code/branches/core6/src/libraries/core/class/Identifier.h	(revision 9628)
+++ code/branches/core6/src/libraries/core/class/Identifier.h	(revision 9629)
@@ -125,5 +125,5 @@
             inline bool hasFactory() const { return (this->factory_ != 0); }
 
-            OrxonoxClass* fabricate(BaseObject* creator);
+            OrxonoxClass* fabricate(Context* context);
 
             /// Returns true if the class can be loaded through XML.
Index: code/branches/core6/src/libraries/core/class/SubclassIdentifier.h
===================================================================
--- code/branches/core6/src/libraries/core/class/SubclassIdentifier.h	(revision 9628)
+++ code/branches/core6/src/libraries/core/class/SubclassIdentifier.h	(revision 9629)
@@ -163,7 +163,7 @@
 
             /// Creates a new object of the type of the assigned Identifier and dynamic_casts it to the minimal type given by T.
-            T* fabricate(BaseObject* creator) const
-            {
-                OrxonoxClass* newObject = this->identifier_->fabricate(creator);
+            T* fabricate(Context* context) const
+            {
+                OrxonoxClass* newObject = this->identifier_->fabricate(context);
 
                 // Check if the creation was successful
Index: code/branches/core6/src/libraries/core/object/ClassFactory.h
===================================================================
--- code/branches/core6/src/libraries/core/object/ClassFactory.h	(revision 9628)
+++ code/branches/core6/src/libraries/core/object/ClassFactory.h	(revision 9629)
@@ -55,5 +55,5 @@
         public:
             virtual ~Factory() {};
-            virtual OrxonoxClass* fabricate(BaseObject* creator) = 0;
+            virtual OrxonoxClass* fabricate(Context* context) = 0;
     };
 
@@ -82,7 +82,7 @@
                 @return The new object
             */
-            inline OrxonoxClass* fabricate(BaseObject* creator)
+            inline OrxonoxClass* fabricate(Context* context)
             {
-                return static_cast<OrxonoxClass*>(new T(creator));
+                return static_cast<OrxonoxClass*>(new T(context));
             }
     };
Index: code/branches/core6/src/libraries/core/object/Context.cc
===================================================================
--- code/branches/core6/src/libraries/core/object/Context.cc	(revision 9628)
+++ code/branches/core6/src/libraries/core/object/Context.cc	(revision 9629)
@@ -56,5 +56,5 @@
     /*static*/ Context* Context::getRootContext()
     {
-        static Context rootContext;
+        static Context rootContext(NULL);
         return &rootContext;
     }
Index: code/branches/core6/src/libraries/core/object/Context.h
===================================================================
--- code/branches/core6/src/libraries/core/object/Context.h	(revision 9628)
+++ code/branches/core6/src/libraries/core/object/Context.h	(revision 9629)
@@ -48,5 +48,5 @@
             static Context* getRootContext();
 
-            Context(Context* context = NULL);
+            Context(Context* context);
             virtual ~Context();
 
Index: code/branches/core6/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/core6/src/libraries/network/packet/Gamestate.cc	(revision 9628)
+++ code/branches/core6/src/libraries/network/packet/Gamestate.cc	(revision 9629)
@@ -133,5 +133,5 @@
     tempsize = it->getData(mem, this->sizes_, id, mode);
     if ( tempsize != 0 )
-      dataVector_.push_back( obj(it->getObjectID(), it->getCreatorID(), tempsize, mem-data_) );
+      dataVector_.push_back( obj(it->getObjectID(), it->getContextID(), tempsize, mem-data_) );
 
 #ifndef NDEBUG
@@ -469,5 +469,5 @@
     {
       assert( objectHeader.getClassID() == htemp.getClassID() );
-      assert( objectHeader.getCreatorID() == htemp.getCreatorID() );
+      assert( objectHeader.getContextID() == htemp.getContextID() );
       return true;
     }
Index: code/branches/core6/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- code/branches/core6/src/libraries/network/synchronisable/Synchronisable.cc	(revision 9628)
+++ code/branches/core6/src/libraries/network/synchronisable/Synchronisable.cc	(revision 9629)
@@ -49,5 +49,5 @@
   * Initializes all Variables and sets the right objectID_
   */
-  Synchronisable::Synchronisable(BaseObject* creator )
+  Synchronisable::Synchronisable(Context* context)
   {
     RegisterRootObject(Synchronisable);
@@ -69,9 +69,6 @@
     this->setPriority( Priority::Normal );
 
-    // get creator id
-    if( creator )
-      this->creatorID_ = creator->getSceneID();
-    else
-      this->creatorID_ = OBJECTID_UNKNOWN;
+    // get context id
+    this->contextID_ = this->findContextID(context);
   }
 
@@ -100,4 +97,19 @@
   }
 
+  /**
+   * @brief Returns the id of the context.
+   * If the context is not Synchronisable, it moves on to its parent, recursively.
+   */
+  uint32_t Synchronisable::findContextID(Context* context)
+  {
+      if (context == NULL)
+          return OBJECTID_UNKNOWN;
+
+      Synchronisable* synchronisableContext = orxonox_cast<Synchronisable*>(context);
+      if (synchronisableContext != NULL)
+          return synchronisableContext->getObjectID();
+      else
+          return this->findContextID(context->getParentContext());
+  }
 
   /**
@@ -142,9 +154,9 @@
     }
     assert(id);
-    BaseObject* creator = 0;
-    if (header.getCreatorID() != OBJECTID_UNKNOWN)
-    {
-      Synchronisable* synchronisable_creator = Synchronisable::getSynchronisable(header.getCreatorID());
-      if (!synchronisable_creator)
+    Context* context = 0;
+    if (header.getContextID() != OBJECTID_UNKNOWN)
+    {
+      Synchronisable* synchronisable_context = Synchronisable::getSynchronisable(header.getContextID());
+      if (!synchronisable_context)
       {
         mem += header.getDataSize()+SynchronisableHeader::getSize(); //.TODO: this suckz.... remove size from header
@@ -153,8 +165,8 @@
       }
       else
-        creator = orxonox_cast<BaseObject*>(synchronisable_creator);
+        context = orxonox_cast<Context*>(synchronisable_context);
     }
     assert(getSynchronisable(header.getObjectID())==0);   //make sure no object with this id exists
-    BaseObject *bo = orxonox_cast<BaseObject*>(id->fabricate(creator));
+    BaseObject *bo = orxonox_cast<BaseObject*>(id->fabricate(context));
     assert(bo);
     Synchronisable *no = orxonox_cast<Synchronisable*>(bo);
@@ -162,9 +174,13 @@
     assert( Synchronisable::objectMap_.find(header.getObjectID()) == Synchronisable::objectMap_.end() );
     no->setObjectID(header.getObjectID());
-    //no->creatorID=header.getCreatorID(); //TODO: remove this
+    //no->contextID=header.getContextID(); //TODO: remove this
     no->setClassID(header.getClassID());
-    assert(no->creatorID_ == header.getCreatorID());
-    if( creator )
-      bo->setLevel(creator->getLevel());          // Note: this ensures that the level is known on the client for child objects of the scene (and the scene itself)
+    assert(no->contextID_ == header.getContextID());
+    if( context )
+    {
+      BaseObject* boContext = orxonox_cast<BaseObject*>(context);
+      if (boContext)
+          bo->setLevel(boContext->getLevel()); // Note: this ensures that the level is known on the client for child objects of the scene (and the scene itself)
+    }
     //assert(no->classID_ == header.getClassID());
     orxout(verbose, context::network) << "fabricate objectID_: " << no->objectID_ << " classID_: " << no->classID_ << endl;
@@ -274,5 +290,5 @@
 
     header.setObjectID( this->objectID_ );
-    header.setCreatorID( this->creatorID_ );
+    header.setContextID( this->contextID_ );
     header.setClassID( this->classID_ );
     header.setDataSize( tempsize );
@@ -331,5 +347,5 @@
       SynchronisableHeader syncHeader2(mem);
       assert( this->getClassID() == syncHeader2.getClassID() );
-      assert( this->getCreatorID() == syncHeader2.getCreatorID() );
+      assert( this->getContextID() == syncHeader2.getContextID() );
       mem += SynchronisableHeader::getSize();
       std::vector<SynchronisableVariableBase *>::iterator i;
Index: code/branches/core6/src/libraries/network/synchronisable/Synchronisable.h
===================================================================
--- code/branches/core6/src/libraries/network/synchronisable/Synchronisable.h	(revision 9628)
+++ code/branches/core6/src/libraries/network/synchronisable/Synchronisable.h	(revision 9629)
@@ -107,5 +107,5 @@
    * @brief: stores information about a Synchronisable
    *
-   * This class stores the information about a Synchronisable (objectID_, classID_, creatorID_, dataSize)
+   * This class stores the information about a Synchronisable (objectID_, classID_, contextID_, dataSize)
    * in an emulated bitset.
    * Bit 1 to 31 store the size of the Data the synchronisable consumes in the stream
@@ -113,5 +113,5 @@
    * Byte 5 to 8: objectID_
    * Byte 9 to 12: classID_
-   * Byte 13 to 16: creatorID_
+   * Byte 13 to 16: contextID_
    */
   class _NetworkExport SynchronisableHeader: public SynchronisableHeaderLight
@@ -126,8 +126,8 @@
       inline void setClassID(uint32_t classID_)
         { *(uint32_t*)(data_+SynchronisableHeaderLight::getSize()) = classID_; }
-      inline uint32_t getCreatorID() const
+      inline uint32_t getContextID() const
         { return *(uint32_t*)(data_+SynchronisableHeaderLight::getSize()+4); }
-      inline void setCreatorID(uint32_t creatorID_)
-        { *(uint32_t*)(data_+SynchronisableHeaderLight::getSize()+4) = creatorID_; }
+      inline void setContextID(uint32_t contextID_)
+        { *(uint32_t*)(data_+SynchronisableHeaderLight::getSize()+4) = contextID_; }
       inline void operator=(SynchronisableHeader& h)
         { memcpy(data_, h.data_, getSize()); }
@@ -158,5 +158,5 @@
 
     inline uint32_t getObjectID() const {return this->objectID_;}
-    inline unsigned int getCreatorID() const {return this->creatorID_;}
+    inline unsigned int getContextID() const {return this->contextID_;}
     inline uint32_t getClassID() const {return this->classID_;}
     inline unsigned int getPriority() const { return this->objectFrequency_;}
@@ -170,5 +170,5 @@
 
   protected:
-    Synchronisable(BaseObject* creator);
+    Synchronisable(Context* context);
     template <class T> void registerVariable(T& variable, uint8_t mode=0x1, NetworkCallbackBase *cb=0, bool bidirectional=false);
     template <class T> void registerVariable(std::set<T>& variable, uint8_t mode=0x1, NetworkCallbackBase *cb=0, bool bidirectional=false);
@@ -176,5 +176,5 @@
 
     void setPriority(unsigned int freq){ objectFrequency_ = freq; }
-
+    uint32_t findContextID(Context* context);
 
   private:
@@ -189,5 +189,5 @@
 
     uint32_t objectID_;
-    uint32_t creatorID_;
+    uint32_t contextID_;
     uint32_t classID_;
 
Index: code/branches/core6/src/libraries/tools/ResourceCollection.cc
===================================================================
--- code/branches/core6/src/libraries/tools/ResourceCollection.cc	(revision 9628)
+++ code/branches/core6/src/libraries/tools/ResourceCollection.cc	(revision 9629)
@@ -39,6 +39,6 @@
     CreateFactory(ResourceCollection);
 
-    ResourceCollection::ResourceCollection(BaseObject* creator)
-        : BaseObject(creator)
+    ResourceCollection::ResourceCollection(Context* context)
+        : BaseObject(context)
     {
         RegisterObject(ResourceCollection);
Index: code/branches/core6/src/libraries/tools/ResourceCollection.h
===================================================================
--- code/branches/core6/src/libraries/tools/ResourceCollection.h	(revision 9628)
+++ code/branches/core6/src/libraries/tools/ResourceCollection.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
     public:
-        ResourceCollection(BaseObject* creator);
+        ResourceCollection(Context* context);
         virtual ~ResourceCollection();
 
Index: code/branches/core6/src/libraries/tools/ResourceLocation.cc
===================================================================
--- code/branches/core6/src/libraries/tools/ResourceLocation.cc	(revision 9628)
+++ code/branches/core6/src/libraries/tools/ResourceLocation.cc	(revision 9629)
@@ -43,6 +43,6 @@
     CreateFactory(ResourceLocation);
 
-    ResourceLocation::ResourceLocation(BaseObject* creator)
-        : BaseObject(creator)
+    ResourceLocation::ResourceLocation(Context* context)
+        : BaseObject(context)
     {
         RegisterObject(ResourceLocation);
Index: code/branches/core6/src/libraries/tools/ResourceLocation.h
===================================================================
--- code/branches/core6/src/libraries/tools/ResourceLocation.h	(revision 9628)
+++ code/branches/core6/src/libraries/tools/ResourceLocation.h	(revision 9629)
@@ -43,5 +43,5 @@
 
     public:
-        ResourceLocation(BaseObject* creator);
+        ResourceLocation(Context* context);
         virtual ~ResourceLocation();
 
Index: code/branches/core6/src/modules/designtools/CreateStars.cc
===================================================================
--- code/branches/core6/src/modules/designtools/CreateStars.cc	(revision 9628)
+++ code/branches/core6/src/modules/designtools/CreateStars.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(CreateStars);
 
-    CreateStars::CreateStars(BaseObject* creator) : BaseObject(creator)
+    CreateStars::CreateStars(Context* context) : BaseObject(context)
     {
         RegisterObject(CreateStars);
@@ -69,5 +69,5 @@
         for(int i=0; i < numStars_; i++)
         {
-            Billboard* bb = new Billboard(this);
+            Billboard* bb = new Billboard(this->getContext());
 
             float r = rnd(-colourDiff_,colourDiff_);
Index: code/branches/core6/src/modules/designtools/CreateStars.h
===================================================================
--- code/branches/core6/src/modules/designtools/CreateStars.h	(revision 9628)
+++ code/branches/core6/src/modules/designtools/CreateStars.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            CreateStars(orxonox::BaseObject* creator);
+            CreateStars(Context* context);
             virtual ~CreateStars();
 
Index: code/branches/core6/src/modules/docking/Dock.cc
===================================================================
--- code/branches/core6/src/modules/docking/Dock.cc	(revision 9628)
+++ code/branches/core6/src/modules/docking/Dock.cc	(revision 9629)
@@ -53,5 +53,5 @@
     registerStaticNetworkFunction(Dock::showDockingDialog);
 
-    Dock::Dock(BaseObject* creator) : StaticEntity(creator)
+    Dock::Dock(Context* context) : StaticEntity(context)
     {
         RegisterObject(Dock);
Index: code/branches/core6/src/modules/docking/Dock.h
===================================================================
--- code/branches/core6/src/modules/docking/Dock.h	(revision 9628)
+++ code/branches/core6/src/modules/docking/Dock.h	(revision 9629)
@@ -57,5 +57,5 @@
     { // tolua_export
         public:
-            Dock(BaseObject* creator);
+            Dock(Context* context);
             virtual ~Dock();
 
Index: code/branches/core6/src/modules/docking/DockToShip.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockToShip.cc	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockToShip.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(DockToShip);
 
-    DockToShip::DockToShip(BaseObject* creator) : DockingEffect(creator)
+    DockToShip::DockToShip(Context* context) : DockingEffect(context)
     {
         RegisterObject(DockToShip);
Index: code/branches/core6/src/modules/docking/DockToShip.h
===================================================================
--- code/branches/core6/src/modules/docking/DockToShip.h	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockToShip.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            DockToShip(BaseObject* creator);
+            DockToShip(Context* context);
             virtual ~DockToShip();
 
Index: code/branches/core6/src/modules/docking/DockingAnimation.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockingAnimation.cc	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingAnimation.cc	(revision 9629)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    DockingAnimation::DockingAnimation(BaseObject* creator) : BaseObject(creator)
+    DockingAnimation::DockingAnimation(Context* context) : BaseObject(context)
     {
         RegisterObject(DockingAnimation);
Index: code/branches/core6/src/modules/docking/DockingAnimation.h
===================================================================
--- code/branches/core6/src/modules/docking/DockingAnimation.h	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingAnimation.h	(revision 9629)
@@ -63,5 +63,5 @@
     {
         public:
-            DockingAnimation(BaseObject* creator);
+            DockingAnimation(Context* context);
             virtual ~DockingAnimation();
 
Index: code/branches/core6/src/modules/docking/DockingController.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockingController.cc	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingController.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(DockingController);
 
-    DockingController::DockingController(BaseObject* creator) : ArtificialController(creator)
+    DockingController::DockingController(Context* context) : ArtificialController(context)
     {
         RegisterObject(DockingController);
Index: code/branches/core6/src/modules/docking/DockingController.h
===================================================================
--- code/branches/core6/src/modules/docking/DockingController.h	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingController.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            DockingController(BaseObject* creator);
+            DockingController(Context* context);
             virtual ~DockingController();
 
Index: code/branches/core6/src/modules/docking/DockingEffect.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockingEffect.cc	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingEffect.cc	(revision 9629)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    DockingEffect::DockingEffect(BaseObject* creator) : BaseObject(creator)
+    DockingEffect::DockingEffect(Context* context) : BaseObject(context)
     {
         RegisterObject(DockingEffect);
Index: code/branches/core6/src/modules/docking/DockingEffect.h
===================================================================
--- code/branches/core6/src/modules/docking/DockingEffect.h	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingEffect.h	(revision 9629)
@@ -61,5 +61,5 @@
     {
         public:
-            DockingEffect(BaseObject* creator);
+            DockingEffect(Context* context);
             virtual ~DockingEffect();
 
Index: code/branches/core6/src/modules/docking/DockingTarget.cc
===================================================================
--- code/branches/core6/src/modules/docking/DockingTarget.cc	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingTarget.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(DockingTarget);
 
-    DockingTarget::DockingTarget(BaseObject* creator) : StaticEntity(creator)
+    DockingTarget::DockingTarget(Context* context) : StaticEntity(context)
     {
         RegisterObject(DockingTarget);
Index: code/branches/core6/src/modules/docking/DockingTarget.h
===================================================================
--- code/branches/core6/src/modules/docking/DockingTarget.h	(revision 9628)
+++ code/branches/core6/src/modules/docking/DockingTarget.h	(revision 9629)
@@ -55,5 +55,5 @@
     {
         public:
-            DockingTarget(BaseObject* creator);
+            DockingTarget(Context* context);
             virtual ~DockingTarget();
 
Index: code/branches/core6/src/modules/docking/MoveToDockingTarget.cc
===================================================================
--- code/branches/core6/src/modules/docking/MoveToDockingTarget.cc	(revision 9628)
+++ code/branches/core6/src/modules/docking/MoveToDockingTarget.cc	(revision 9629)
@@ -42,5 +42,5 @@
     CreateFactory(MoveToDockingTarget);
 
-    MoveToDockingTarget::MoveToDockingTarget(BaseObject *creator) : DockingAnimation(creator)
+    MoveToDockingTarget::MoveToDockingTarget(Context* context) : DockingAnimation(context)
     {
         RegisterObject(MoveToDockingTarget);
@@ -55,5 +55,5 @@
         assert(this->parent_);
 
-        DockingController *dockingController = new DockingController(this);
+        DockingController *dockingController = new DockingController(this->getContext());
         dockingController->setDock(this->parent_);
         dockingController->setPlayer(player);
Index: code/branches/core6/src/modules/docking/MoveToDockingTarget.h
===================================================================
--- code/branches/core6/src/modules/docking/MoveToDockingTarget.h	(revision 9628)
+++ code/branches/core6/src/modules/docking/MoveToDockingTarget.h	(revision 9629)
@@ -56,5 +56,5 @@
     {
         public:
-            MoveToDockingTarget(BaseObject* creator);
+            MoveToDockingTarget(Context* context);
             virtual ~MoveToDockingTarget();
 
Index: code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(OldRaceCheckPoint);
 
-    OldRaceCheckPoint::OldRaceCheckPoint(BaseObject* creator): DistanceTrigger(creator), RadarViewable(creator, static_cast<WorldEntity*>(this))
+    OldRaceCheckPoint::OldRaceCheckPoint(Context* context): DistanceTrigger(context), RadarViewable(this, static_cast<WorldEntity*>(this))
     {
         RegisterObject(OldRaceCheckPoint);
Index: code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.h
===================================================================
--- code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.h	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/OldRaceCheckPoint.h	(revision 9629)
@@ -45,5 +45,5 @@
     {
         public:
-            OldRaceCheckPoint(BaseObject* creator);
+            OldRaceCheckPoint(Context* context);
             virtual ~OldRaceCheckPoint();
 
Index: code/branches/core6/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/OldSpaceRace.cc	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/OldSpaceRace.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateUnloadableFactory(OldSpaceRace);
 
-    OldSpaceRace::OldSpaceRace(BaseObject* creator) : Gametype(creator)
+    OldSpaceRace::OldSpaceRace(Context* context) : Gametype(context)
     {
         RegisterObject(OldSpaceRace);
Index: code/branches/core6/src/modules/gametypes/OldSpaceRace.h
===================================================================
--- code/branches/core6/src/modules/gametypes/OldSpaceRace.h	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/OldSpaceRace.h	(revision 9629)
@@ -52,5 +52,5 @@
 
         public:
-            OldSpaceRace(BaseObject* creator);
+            OldSpaceRace(Context* context);
             virtual ~OldSpaceRace() {}
 
Index: code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc	(revision 9629)
@@ -43,6 +43,6 @@
     CreateFactory(RaceCheckPoint);
 
-    RaceCheckPoint::RaceCheckPoint(BaseObject* creator) : DistanceMultiTrigger(creator),
-            RadarViewable(creator, static_cast<WorldEntity*> (this))
+    RaceCheckPoint::RaceCheckPoint(Context* context) : DistanceMultiTrigger(context),
+            RadarViewable(this, static_cast<WorldEntity*> (this))
     {
         RegisterObject(RaceCheckPoint);
Index: code/branches/core6/src/modules/gametypes/RaceCheckPoint.h
===================================================================
--- code/branches/core6/src/modules/gametypes/RaceCheckPoint.h	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/RaceCheckPoint.h	(revision 9629)
@@ -45,5 +45,5 @@
     {
         public:
-            RaceCheckPoint(BaseObject* creator);
+            RaceCheckPoint(Context* context);
             virtual ~RaceCheckPoint();
 
Index: code/branches/core6/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRace.cc	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRace.cc	(revision 9629)
@@ -42,5 +42,5 @@
     CreateUnloadableFactory(SpaceRace);
 
-    SpaceRace::SpaceRace(BaseObject* creator) : Gametype(creator)
+    SpaceRace::SpaceRace(Context* context) : Gametype(context)
     {
         RegisterObject(SpaceRace);
Index: code/branches/core6/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRace.h	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRace.h	(revision 9629)
@@ -54,5 +54,5 @@
 
         public:
-            SpaceRace(BaseObject* creator);
+            SpaceRace(Context* context);
             virtual ~SpaceRace() {}
 
Index: code/branches/core6/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceBot.cc	(revision 9628)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceBot.cc	(revision 9629)
@@ -31,5 +31,5 @@
     CreateFactory(SpaceRaceBot);
 
-    SpaceRaceBot::SpaceRaceBot(BaseObject* creator) : Bot(creator){
+    SpaceRaceBot::SpaceRaceBot(Context* context) : Bot(context){
         RegisterObject(SpaceRaceBot);
         this->defaultController_ = Class(SpaceRaceController);// ClassByString("")
